package com.google.android.gms.common.api.internal;

import android.os.IBinder;
import android.os.Parcel;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.internal.stable.zza;
import com.google.android.gms.internal.stable.zzc;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class IStatusCallback$Stub$zza extends zza implements IStatusCallback {
    IStatusCallback$Stub$zza(IBinder iBinder) {
        super(iBinder, "com.google.android.gms.common.api.internal.IStatusCallback");
    }

    public final void onResult(Status status) {
        AppMethodBeat.i(60638);
        Parcel obtainAndWriteInterfaceToken = obtainAndWriteInterfaceToken();
        zzc.zza(obtainAndWriteInterfaceToken, status);
        transactOneway(1, obtainAndWriteInterfaceToken);
        AppMethodBeat.o(60638);
    }
}
